EXPIRER(8zm)

NAME
expirer - zmailer forced queue expiration utility

SYNOPSIS

expirer
    [-c channel] [-h "hostname"] [-Vs] [-l logfile] [-m "message string"]

DESCRIPTION
expirer is a ZMailer transport agent which is used to expire selected recipients from the queue before their normal expiration time with (possibly) a customized message. The expirer(8zm) program must be run with root privileges and invoked with the same current directory as the scheduler, namely POSTOFFICE/transport.

OPTIONS

-c channel
    Message recipient selector "channel" (optional)

-h "hostname"
    Message recipient selector "host" (optional)

-m "message string"
    An alternate report string.

-s  Silent mode. Message expiration occurs without any report to anywhere.

-V  prints a version message and exits.

-l logfile
    specifies a logfile.

INTERFACE
This program reads in processable file names relative to the current working directory of the scheduler(8zm) (namely: $POSTIOFFICE/transport/). Optionally on the same line the scheduler(8zm) may tell which host is to be looked for from the recipients of the message.

    relative-spool-path [ <TAB> hostname ]

This program produces diagnostic output on the standard output. Normal diagnostic output is of the form:

    id/offset<TAB>notify-data<TAB>status message

where id is the inode number of the message file, offset is a byte offset within its control file where the address being reported on is kept, status is one of ok, error, or deferred, and the message is descriptive text associated with the report. The text is terminated by a linefeed. Any other format (as might be produced by subprocesses) is passed to standard output for logging in the scheduler(8zm) log.

The exit status is a code from <sysexits.h>.

ENVIRONMENT VARIABLES

ZCONFIG
    This environment variable is expected to be inherited from the scheduler(8zm), and it tells where scheduler's idea of ZENV-variables are located at.

Z-ENVIRONMENT VARIABLES
This program uses no ZMailer environment variables.

FILES
/usr/local/etc/zmailer/zmailer.conf | (ZCONFIG)
/var/spool/postoffice | (POSTOFFICE)

SEE ALSO
scheduler(8zm), manual-expirer(8zm), zmailer.conf(5zm).

AUTHOR
This program is authored and copyright by:
    Matti Aarnio <mea@nic.funet.fi>